function init(hero) {
    hero.setName("Vulture");
    hero.setVersion ("Comics");
    hero.setTier(4);
    
    hero.setHelmet("Headpiece");
    hero.setChestplate("Chestpiece");
    hero.setLeggings("Pants");
    hero.setBoots("Boots");
    
    hero.addPowers("dlheroes:vulture_suit");
    hero.addAttribute("PUNCH_DAMAGE", 5.5, 0);
    hero.addAttribute("WEAPON_DAMAGE", 3.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 5.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.1, 1);
    hero.addAttribute("IMPACT_DAMAGE", 0.4, 1);

    hero.addKeyBind("SHIELD", "Wing Shield", 1);
    hero.addKeyBind("UTILITY_BELT", "Feathers", 2);
    
    hero.setModifierEnabled(isModifierEnabled);
}

function isModifierEnabled(entity, modifier) {
    return modifier.name() != "fiskheroes:gliding" || !entity.getData("fiskheroes:shield");
}